
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Soup.Interfaces
    (     module GI.Soup.Interfaces.PasswordManager,
    module GI.Soup.Interfaces.ProxyURIResolver,
    module GI.Soup.Interfaces.SessionFeature,


    ) where

import GI.Soup.Interfaces.PasswordManager
import GI.Soup.Interfaces.ProxyURIResolver
import GI.Soup.Interfaces.SessionFeature

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Soup.Types
import GI.Soup.Callbacks


