module GI.Soup.Objects.Auth where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Auth = Auth (ForeignPtr Auth)
instance GObject Auth where
class GObject o => AuthK o
instance (GObject o, IsDescendantOf Auth o) => AuthK o
data AuthHostPropertyInfo
data AuthIsAuthenticatedPropertyInfo
data AuthIsForProxyPropertyInfo
data AuthRealmPropertyInfo
data AuthSchemeNamePropertyInfo
