
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Soup.Structs.MessageQueue
    ( 

-- * Exported types
    MessageQueue(..)                        ,
    noMessageQueue                          ,


    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Soup.Types
import GI.Soup.Callbacks

newtype MessageQueue = MessageQueue (ForeignPtr MessageQueue)
noMessageQueue :: Maybe MessageQueue
noMessageQueue = Nothing


