module GI.Soup.Objects.Message where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Message = Message (ForeignPtr Message)
instance GObject Message where
class GObject o => MessageK o
instance (GObject o, IsDescendantOf Message o) => MessageK o
data MessageFirstPartyPropertyInfo
data MessageFlagsPropertyInfo
data MessageHttpVersionPropertyInfo
data MessageMethodPropertyInfo
data MessagePriorityPropertyInfo
data MessageReasonPhrasePropertyInfo
data MessageRequestBodyPropertyInfo
data MessageRequestBodyDataPropertyInfo
data MessageRequestHeadersPropertyInfo
data MessageResponseBodyPropertyInfo
data MessageResponseBodyDataPropertyInfo
data MessageResponseHeadersPropertyInfo
data MessageServerSidePropertyInfo
data MessageStatusCodePropertyInfo
data MessageTlsCertificatePropertyInfo
data MessageTlsErrorsPropertyInfo
data MessageUriPropertyInfo
data MessageContentSniffedSignalInfo
data MessageFinishedSignalInfo
data MessageGotBodySignalInfo
data MessageGotChunkSignalInfo
data MessageGotHeadersSignalInfo
data MessageGotInformationalSignalInfo
data MessageNetworkEventSignalInfo
data MessageRestartedSignalInfo
data MessageStartingSignalInfo
data MessageWroteBodySignalInfo
data MessageWroteBodyDataSignalInfo
data MessageWroteChunkSignalInfo
data MessageWroteHeadersSignalInfo
data MessageWroteInformationalSignalInfo
