module GI.Soup.Objects.Server where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Server = Server (ForeignPtr Server)
instance GObject Server where
class GObject o => ServerK o
instance (GObject o, IsDescendantOf Server o) => ServerK o
data ServerAsyncContextPropertyInfo
data ServerHttpAliasesPropertyInfo
data ServerHttpsAliasesPropertyInfo
data ServerInterfacePropertyInfo
data ServerPortPropertyInfo
data ServerRawPathsPropertyInfo
data ServerServerHeaderPropertyInfo
data ServerSslCertFilePropertyInfo
data ServerSslKeyFilePropertyInfo
data ServerTlsCertificatePropertyInfo
data ServerRequestAbortedSignalInfo
data ServerRequestFinishedSignalInfo
data ServerRequestReadSignalInfo
data ServerRequestStartedSignalInfo
