module GI.Soup.Objects.Session where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Session = Session (ForeignPtr Session)
instance GObject Session where
class GObject o => SessionK o
instance (GObject o, IsDescendantOf Session o) => SessionK o
data SessionAcceptLanguagePropertyInfo
data SessionAcceptLanguageAutoPropertyInfo
data SessionAsyncContextPropertyInfo
data SessionHttpAliasesPropertyInfo
data SessionHttpsAliasesPropertyInfo
data SessionIdleTimeoutPropertyInfo
data SessionLocalAddressPropertyInfo
data SessionMaxConnsPropertyInfo
data SessionMaxConnsPerHostPropertyInfo
data SessionProxyResolverPropertyInfo
data SessionProxyUriPropertyInfo
data SessionSslCaFilePropertyInfo
data SessionSslStrictPropertyInfo
data SessionSslUseSystemCaFilePropertyInfo
data SessionTimeoutPropertyInfo
data SessionTlsDatabasePropertyInfo
data SessionTlsInteractionPropertyInfo
data SessionUseNtlmPropertyInfo
data SessionUseThreadContextPropertyInfo
data SessionUserAgentPropertyInfo
data SessionAuthenticateSignalInfo
data SessionConnectionCreatedSignalInfo
data SessionRequestQueuedSignalInfo
data SessionRequestStartedSignalInfo
data SessionRequestUnqueuedSignalInfo
data SessionTunnelingSignalInfo
