
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Soup.Structs
    (     module GI.Soup.Structs.Buffer           ,
    module GI.Soup.Structs.ClientContext    ,
    module GI.Soup.Structs.Connection       ,
    module GI.Soup.Structs.Cookie           ,
    module GI.Soup.Structs.Date             ,
    module GI.Soup.Structs.MessageBody      ,
    module GI.Soup.Structs.MessageHeaders   ,
    module GI.Soup.Structs.MessageHeadersIter,
    module GI.Soup.Structs.MessageQueue     ,
    module GI.Soup.Structs.MessageQueueItem ,
    module GI.Soup.Structs.Multipart        ,
    module GI.Soup.Structs.Range            ,
    module GI.Soup.Structs.URI              ,
    module GI.Soup.Structs.XMLRPCParams     ,


    ) where

import GI.Soup.Structs.Buffer
import GI.Soup.Structs.ClientContext
import GI.Soup.Structs.Connection
import GI.Soup.Structs.Cookie
import GI.Soup.Structs.Date
import GI.Soup.Structs.MessageBody
import GI.Soup.Structs.MessageHeaders
import GI.Soup.Structs.MessageHeadersIter
import GI.Soup.Structs.MessageQueue
import GI.Soup.Structs.MessageQueueItem
import GI.Soup.Structs.Multipart
import GI.Soup.Structs.Range
import GI.Soup.Structs.URI
import GI.Soup.Structs.XMLRPCParams

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Soup.Types
import GI.Soup.Callbacks


